HYPOTHESIS-CLIENT(1)

NAME
hypothesis-client annotations search - Search for annotations with optional filters

SYNOPSIS
hypothesis-client annotations search [OPTIONS]

DESCRIPTION
Search for annotations with optional filters

OPTIONS

--limit <LIMIT>

    The maximum number of annotations to return.

    Default: 20. Range: [ 0 .. 200 ]

    [default: 20]

--sort <SORT>

    The field by which annotations should be sorted One of created, updated, id, group, user

    Default: updated

    [default: updated] [possible values: created, updated, id, group, user]

--search-after <SEARCH_AFTER>

    Example: "2019-01-03T19:46:09.334Z"

    Define a start point for a subset (page) of annotation search results. NOTE: make sure to set sort to `Sort::Asc` if using `search_after`

    [default: ]

--offset <OFFSET>

    The number of initial annotations to skip in the result set.

    Default: 0. Range: <= 9800. search_after is more efficient.

    [default: 0]

--order <ORDER>

    The order in which the results should be sorted. One of asc, desc

    Default: desc

    [default: desc] [possible values: asc, desc]

--uri <URI>

    Limit the results to annotations matching the specific URI or equivalent URIs.

    URI can be a URL (a web page address) or a URN representing another kind of resource such as DOI (Digital Object Identifier) or a PDF fingerprint.

    [default: ]

--uri-parts <URI_PARTS>

    Limit the results to annotations containing the given keyword (tokenized chunk) in the URI. The value must exactly match an individual URI keyword

    [default: ]

--wildcard-uri <WILDCARD_URI>

    Limit the results to annotations whose URIs match the wildcard pattern

    [default: ]

--user <USER>

    Limit the results to annotations made by the specified user. (in the format `acct:<username>@<authority>`)

    [default: ]

--group <GROUP>

    Limit the results to annotations made in the specified group (by group ID). This can be specified multiple times to retrieve multiple groups

--tag <TAG>

    Limit the results to annotations tagged with the specified value

    [default: ]

--tags <TAGS>

    Similar to tag but allows a list of multiple tags

--any <ANY>

    Limit the results to annotations who contain the indicated keyword in any of the following fields: `quote`, `tags`, `text`, `url`

    [default: ]

--quote <QUOTE>

    Limit the results to annotations that contain this text inside the text that was annotated

    [default: ]

--references <REFERENCES>

    Returns annotations that are replies to this parent annotation ID

    [default: ]

--text <TEXT>

    Limit the results to annotations that contain this text in their textual body

    [default: ]

-o, --file <FILE>

    json file to write search results to, writes to stdout if not given

-h, --help

    Print help (see a summary with '-h')